using SumaTube.Domain.ValueObjects;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SumaTube.Domain.Entities.Videos
{
    public class VideoGroup
    {
        public Id Id { get; set; }

        public string Name { get; set; }

        public string Description { get; set; }

        public DateTime CreatedAt { get; set; }

        public List<VideoData> Videos { get; private set; }

        public VideoGroup(string name, string description)
        {
            Id = Guid.NewGuid();
            Name = name;
            Description = description;
            CreatedAt = DateTime.Now;
            Videos = new List<VideoData>();
        }

        public VideoGroup(string id, string name, string description, DateTime createdAt, List<VideoData> videos)
        {
            Id = id;
            Name = name;
            Description = description;
            CreatedAt = createdAt;
            Videos = videos;
        }

        public void AddVideo(string sessionId, string url)
        {
            Videos.Add(new VideoData(sessionId, url));
        }
    }
}
